// --------------------------------------------------------------------------
//
// File    : main.cpp
//
// Project :
//
// Purpose :
//
// Author: Leonid Gershanovich
//
// (C) Copyright 24x7 RealMedia   2007 - 2009
//
// --------------------------------------------------------------------------

#include <stdio.h>
#include <stdlib.h>
#include <dlfcn.h>
#include <errno.h>

int main( int argc, const char* argv[])
{
    if( argc < 3 )
    {
        printf("usage %s <dlname> <repeat count>\n", argv[0]);
        return 1;
    }
    {
    const char* dlname = argv[1];
    unsigned int iters = atoi(argv[2]);
    unsigned int i = 0;

    for( ; i < iters; ++i )
    {
        printf("attempt %02d\n", i);
        void* handle = dlopen(dlname, RTLD_NOW);
        if (0 == handle)
        {
          printf("failed to open %s, errno=%d", dlname, errno);
          return 1;
        }
        if ( 0 != dlclose(handle) )
          printf("did not close successfully");
    }
    }

    return 0;
}
