#!/bin/bash
#debug

BIT=32
BOOST_VER=v38.0
BOOSTDIR=/mnt/builder/3rdParty/boost/${BOOST_VER}/gcc_3.4.6/

g++ -m${BIT} lib.cpp -g -O0 -fPIC -fexceptions -I"${BOOSTDIR}/${BIT}/include" "-D_DEBUG" "-DDEBUG" -o boost_thread_test_deb.so  -shared -Wl,-Bsymbolic -Wl,--no-undefined  ${BOOSTDIR}/${BIT}/lib/libboost_thread-mt-d.a -lpthread
gcc -m${BIT} -g -O0 "-D_DEBUG" "-DDEBUG"  main.c -o boost_thread_test_deb.exe  -ldl


#release
g++ -m${BIT} lib.cpp -g -O3 -finline-functions -fPIC -fexceptions -I"${BOOSTDIR}/${BIT}/include" "-DNDEBUG" -o boost_thread_test_rel.so -shared -Wl,-Bsymbolic -Wl,--no-undefined ${BOOSTDIR}/${BIT}/lib/libboost_thread-mt.a -lpthread
gcc -m${BIT} -g -O3 "-DNDEBUG"  main.c -o boost_thread_test_rel.exe  -ldl


#
./boost_thread_test_deb.exe ./boost_thread_test_deb.so 513
./boost_thread_test_rel.exe ./boost_thread_test_rel.so 513
